package com.engine.salary.enums.siaccount;

import com.engine.salary.enums.BaseEnum;

/**
 * @Description:
 * @Author: zhangheng
 * @CreateDate: 2021/12/3 16:23
 * @Version: v1.0
 */
public enum BillStatusEnum implements BaseEnum<Integer> {
    NOT_ARCHIVED(0, "未归档", 91870),

    ARCHIVED(1, "已归档", 91862);

    private Integer value;

    private String defaultLable;

    private Integer labelId;

    BillStatusEnum(Integer value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLable;
    }
}
